Subject: Re: git-p4.skipSubmitEdit

From: Luke Diamand <[email-masked]>
Date: Fri, 16 Dec 2011 19:50:30 +0000

On 16/12/11 15:38, Michael Horowitz wrote:
> All,
>
> It appears that this change has introduced a bug that causes submit to
> fail every time if you do not skip the submit edit.
>
>  From what I can tell, this is because the new edit_template method
> does not return True at the end.

Could you say exactly what you're doing?

I've just tried it myself and it seems to work fine:

git-p4 clone
git commit -m 'a change'
git-p4 submit
<quit from editor, with/without modifying it>

And I couldn't see any paths in edit_template that returned without a 
value of True, except the one where the user decides to bail out.

This is with Pete's skipSubmitEdit change.

Thanks!
Luke